Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIColumn.Properties

    java.lang.Object
      java.lang.Enum<UIColumn.Properties>
          org.richfaces.component.UIColumn.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIColumn.Properties>

Enclosing class:
  UIColumn

    protected static enum UIColumn.Properties

extends Enum<UIColumn.Properties>

Enum Constant Summary
`breakRowBefore`
`colspan`
`comparator`
`filter`
`filterConverterMessage`
`filterExpression`
`filterType`
`filterValue`
`footerClass`
`headerClass`
`rowspan`
`sortBy`
`sortOrder`
`sortType`
`style`
`styleClass`
`submittedFilterValue`
`width`

Method Summary
`static UIColumn.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIColumn.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### breakRowBefore

    public static final UIColumn.Properties breakRowBefore

### colspan

    public static final UIColumn.Properties colspan

### comparator

    public static final UIColumn.Properties comparator

### filter

    public static final UIColumn.Properties filter

### filterConverterMessage

    public static final UIColumn.Properties filterConverterMessage

### filterExpression

    public static final UIColumn.Properties filterExpression

### filterType

    public static final UIColumn.Properties filterType

### filterValue

    public static final UIColumn.Properties filterValue

### footerClass

    public static final UIColumn.Properties footerClass

### headerClass

    public static final UIColumn.Properties headerClass

### rowspan

    public static final UIColumn.Properties rowspan

### sortBy

    public static final UIColumn.Properties sortBy

### sortOrder

    public static final UIColumn.Properties sortOrder

### sortType

    public static final UIColumn.Properties sortType

### style

    public static final UIColumn.Properties style

### styleClass

    public static final UIColumn.Properties styleClass

### submittedFilterValue

    public static final UIColumn.Properties submittedFilterValue

### width

    public static final UIColumn.Properties width

Method Detail

### values

    public static UIColumn.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIColumn.Properties c : UIColumn.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIColumn.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.